(* File: point.mli

   Copyright (C) 2011-2015

     Fabian Pijcke <fabian.pijcke@gmail.com>
     Pierre Hauweele <antegallya@gmail.com>

   This library is free software; you can redistribute it and/or modify
   it under the terms of the GNU Lesser General Public License version 3 or
   later as published by the Free Software Foundation, with the special
   exception on linking described in the file LICENSE.

   This library is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the file
   LICENSE for more details. *)

type point =
  | Spherical of (float * float)
  | Cartesian of (float * float * float)

val to_cartesian : point -> point
val to_spherical : point -> point

val ( =* ) : point -> point -> bool

val distance : point -> point -> float

val to_string : ?after:string -> point -> string

val center : point array -> point
